org.apache.fop.afp.modca

## Class PageSegment

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.AbstractTripletStructuredObject
      - - org.apache.fop.afp.modca.AbstractNamedAFPObject
        - - org.apache.fop.afp.modca.PageSegment

All Implemented Interfaces:
  Streamable

    public class PageSegment
    extends AbstractNamedAFPObject

A page segment is a MO:DCA-P resource object. It may be stored in an external resource library or it may be carried in a resource group. Page segments contain any combination of IOCA image objects and GOCA graphics objects.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

### Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

`name`

### Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`triplets`

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`PageSegment(String name)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addObject(AbstractAFPObject object)` Adds a resource object (image/graphic) to this page segment
`List<AbstractAFPObject>` `getObjects()` Returns a list of objects contained withing this page segment
`String` `toString()`
`protected void` `writeContent(OutputStream os)` Helper method to write the contents of the Object.
`protected void` `writeEnd(OutputStream os)` Helper method to write the end of the Object.
`protected void` `writeStart(OutputStream os)` Helper method to write the start of the Object.

### Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

`copySF, getName, getNameBytes, getNameLength, setName`

### Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

### Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject

`writeToStream`

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageSegment

    public PageSegment(String name)

Main constructor

Parameters:
  `name` - the name of this object

### Method Detail

#### getObjects

    public List<AbstractAFPObject> getObjects()

Returns a list of objects contained withing this page segment

Returns:
  a list of objects contained within this page segment

#### addObject

    public void addObject(AbstractAFPObject object)

Adds a resource object (image/graphic) to this page segment

Parameters:
  `object` - the resource objec to add to this page segment

#### writeStart

    protected void writeStart(OutputStream os)
                       throws IOException

Helper method to write the start of the Object.

Overrides:
  `writeStart` in class `AbstractStructuredObject`
Parameters:
  `os` - The stream to write to
Throws:
  `IOException` - throws an I/O exception if one occurred

#### writeContent

    protected void writeContent(OutputStream os)
                         throws IOException

Helper method to write the contents of the Object.

Overrides:
  `writeContent` in class `AbstractStructuredObject`
Parameters:
  `os` - The stream to write to
Throws:
  `IOException` - throws an I/O exception if one occurred

#### writeEnd

    protected void writeEnd(OutputStream os)
                     throws IOException

Helper method to write the end of the Object.

Overrides:
  `writeEnd` in class `AbstractStructuredObject`
Parameters:
  `os` - The stream to write to
Throws:
  `IOException` - an I/O exception if one occurred

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractNamedAFPObject`